#### Description:

This function returns the current value of a character-valued AST global tuning parameter, optionally storing a new value for the parameter. For integer-valued tuning parameters, see astTune.

#### Synopsis

void astTuneC( const char ∗name, const char ∗value, char ∗buff, int bufflen )

#### Parameters:

##### name

The name of the tuning parameter (case-insensitive).

##### value

The new value for the tuning parameter. If this is NULL, the existing current value will be retained.

##### buff

A character string in which to return the original value of the tuning parameter. An error will be reported if the buffer is too small to hold the value. NULL may be supplied if the old value is not required.

##### bufflen

The size of the supplied `"` buff`"` array. Ignored if `"` buff`"` is NULL.

#### Notes:

- This function attempts to execute even if the AST error status is set on entry, although no further error report will be made if it subsequently fails under these circumstances.

- All threads in a process share the same AST tuning parameters values.

#### Tuning Parameters :

##### HRDel

A string to be drawn following the hours field in a formatted sky axis value when `"` g`"` format is in use (see the Format attribute). This string may include escape sequences to produce super-scripts, etc. (see the Escapes attribute for details of the escape sequences allowed). The default value is `"` %-%`^`50+%s70+h%+`"` which produces a super-script `"` h`"` .

##### MNDel

A string to be drawn following the minutes field in a formatted sky axis value when `"` g`"` format is in use. The default value is `"` %-%`^`50+%s70+m%+`"` which produces a super-script `"` m`"` .

##### SCDel

A string to be drawn following the seconds field in a formatted sky axis value when `"` g`"` format is in use. The default value is `"` %-%`^`50+%s70+s%+`"` which produces a super-script `"` s`"` .

##### DGDel

A string to be drawn following the degrees field in a formatted sky axis value when `"` g`"` format is in use. The default value is `"` %-%`^`53+%s60+o%+`"` which produces a super-script `"` o`"` .

##### AMDel

A string to be drawn following the arc-minutes field in a formatted sky axis value when `"` g`"` format is in use. The default value is `"` %-%`^`20+%s85+`’` %+`"` which produces a super-script `"` `’` `"` (single quote).

##### ASDel

A string to be drawn following the arc-seconds field in a formatted sky axis value when `"` g`"` format is in use. The default value is `"` %-%`^`20+%s85+∖`"` %+`"` which produces a super-script `"` `"` `"` (double quote).

##### EXDel

A string to be drawn to introduce the exponent in a value when `"` g`"` format is in use. The default value is `"` 10%-%`^`50+%s70+`"` which produces `"` 10`"` followed by the exponent as a super-script.
Copyright (C) 2021 East Asian Observatory